Package org.apache.solr.client.solrj.request.schema

# Class AbstractSchemaRequest<T extends SolrResponse>

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<T>
org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<T>
org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<T>

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SchemaRequest`, `SchemaRequest.CopyFields`, `SchemaRequest.DynamicField`, `SchemaRequest.DynamicFields`, `SchemaRequest.Field`, `SchemaRequest.Fields`, `SchemaRequest.FieldType`, `SchemaRequest.FieldTypes`, `SchemaRequest.GlobalSimilarity`, `SchemaRequest.SchemaName`, `SchemaRequest.SchemaVersion`, `SchemaRequest.UniqueKey`, `SchemaRequest.Update`

public abstract class AbstractSchemaRequest<T extends SolrResponse> extends CollectionRequiringSolrRequest<T>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSchemaRequest(SolrRequest.METHOD m, String path)`
`AbstractSchemaRequest(SolrRequest.METHOD m, String path, SolrParams params)`

## Method Summary

Modifier and Type
Method
Description
`SolrParams`
`getParams()`
The parameters for this request; never null.

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, createResponse, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSchemaRequest

public AbstractSchemaRequest(SolrRequest.METHOD m, String path)

### AbstractSchemaRequest

public AbstractSchemaRequest(SolrRequest.METHOD m, String path, SolrParams params)

## Method Details

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Specified by:
  `getParams` in class `SolrRequest<T extends SolrResponse>`